### DbEnv::mutex_unlock

`

###

    #include <db_cxx.h>

    int
    DbEnv::mutex_unlock(db_mutex_t mutex);

### Description: DbEnv::mutex_unlock

The DbEnv::mutex_unlock method unlocks the mutex locked by DbEnv::mutex_lock.

The DbEnv::mutex_unlock method may not be called before the DbEnv::open method has been called.

The DbEnv::mutex_unlock method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

mutex
  The mutex parameter is a mutex previously locked by DbEnv::mutex_lock.

### Errors

The DbEnv::mutex_unlock method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Class

DbEnv

### See Also

Database Environments and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.